ContactGroups
Create a contact group
Creates a new contact group and returns it with a 201 status. Use this endpoint to create a contact group through the Samva email API.
Creates a new contact group and returns it with a 201 status.
Authorization
apiKey x-api-key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
description?string|null|null
type?|null
criteria?|null|null
color?||null
icon?string|null|null
parentGroupId?|null|null
isActive?boolean|null
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/contact-groups" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "string", "organizationId": "string", "name": "string", "description": "string", "type": "static", "criteria": {}, "color": "clay", "icon": "string", "parentGroupId": "string", "contactCount": 0, "lastCalculatedAt": "string", "isActive": true, "createdAt": "string", "updatedAt": "string"}